com.ihr.xbrl.database.pagination

## Class AbstractPage

- java.lang.Object
- - com.ihr.xbrl.database.pagination.AbstractPage

- All Implemented Interfaces:
    Page
  Direct Known Subclasses:
    HibernatePage

      public abstract class AbstractPage
      extends java.lang.Object
      implements Page

  The Class AbstractPage.

- - ### Field Summary

    - ### Fields inherited from interface com.ihr.xbrl.database.pagination.Page

      `DEFAULT_SIZE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLastPageNumber()` Gets the last page number.
    `org.apache.commons.logging.Log` | `getLogger()` Gets the logger.
    `int` | `getNextPageNumber()` Gets the next page number.
    `int` | `getPageNumber()` Gets the page number.
    `int` | `getPageSize()` Gets the page size.
    `int` | `getPreviousPageNumber()` Gets the previous page number.
    `int` | `getThisPageFirstElementNumber()` Gets the this page first element number.
    `int` | `getThisPageLastElementNumber()` Gets the this page last element number.
    `boolean` | `hasPreviousPage()` Checks for previous page.
    `boolean` | `isFirstPage()` Checks if is first page.
    `boolean` | `isLastPage()` Checks if is last page.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.database.pagination.Page

      `getThisPageElements, getTotalNumberOfElements, hasNextPage`

- - ### Method Detail

    - #### getLogger

          public org.apache.commons.logging.Log getLogger()

      Description copied from interface: `Page`
      Gets the logger.
      Specified by:
        `getLogger` in interface `Page`
      Returns:
        the logger

    - #### isFirstPage

          public boolean isFirstPage()

      Description copied from interface: `Page`
      Checks if is first page.
      Specified by:
        `isFirstPage` in interface `Page`
      Returns:
        true, if is first page

    - #### isLastPage

          public boolean isLastPage()

      Description copied from interface: `Page`
      Checks if is last page.
      Specified by:
        `isLastPage` in interface `Page`
      Returns:
        true, if is last page

    - #### hasPreviousPage

          public boolean hasPreviousPage()

      Description copied from interface: `Page`
      Checks for previous page.
      Specified by:
        `hasPreviousPage` in interface `Page`
      Returns:
        true, if successful

    - #### getThisPageFirstElementNumber

          public int getThisPageFirstElementNumber()

      Description copied from interface: `Page`
      Gets the this page first element number.
      Specified by:
        `getThisPageFirstElementNumber` in interface `Page`
      Returns:
        the this page first element number

    - #### getThisPageLastElementNumber

          public int getThisPageLastElementNumber()

      Description copied from interface: `Page`
      Gets the this page last element number.
      Specified by:
        `getThisPageLastElementNumber` in interface `Page`
      Returns:
        the this page last element number

    - #### getLastPageNumber

          public int getLastPageNumber()

      Description copied from interface: `Page`
      Gets the last page number.
      Specified by:
        `getLastPageNumber` in interface `Page`
      Returns:
        the last page number

    - #### getNextPageNumber

          public int getNextPageNumber()

      Description copied from interface: `Page`
      Gets the next page number.
      Specified by:
        `getNextPageNumber` in interface `Page`
      Returns:
        the next page number

    - #### getPreviousPageNumber

          public int getPreviousPageNumber()

      Description copied from interface: `Page`
      Gets the previous page number.
      Specified by:
        `getPreviousPageNumber` in interface `Page`
      Returns:
        the previous page number

    - #### getPageSize

          public int getPageSize()

      Description copied from interface: `Page`
      Gets the page size.
      Specified by:
        `getPageSize` in interface `Page`
      Returns:
        the page size

    - #### getPageNumber

          public int getPageNumber()

      Description copied from interface: `Page`
      Gets the page number.
      Specified by:
        `getPageNumber` in interface `Page`
      Returns:
        the page number